﻿Imports System.Data.SqlClient
Imports PhDir.DAL
Imports PhDir.Model
Imports PhDir.Repository
Imports System.Collections.Generic

Namespace Repository.Phone

    Public Class DeletePhoneNumber
        Implements IDelete(Of Model.Phone)

        Public Function Delete(phone As Model.Phone) As Boolean _
            Implements IDelete(Of Model.Phone).Delete

            Dim isSuccess = False

            Using dbConnection = New DbConnection(DbContext.PhoneContext)
                dbConnection.AddParameter("@PlainPhoneNumber", phone.PhoneNumber)
                dbConnection.CommandText = StoredProceduresName.DeletePhoneNumber
                dbConnection.CommandType = CommandType.StoredProcedure
                isSuccess = dbConnection.ExecuteNonQuery()
            End Using

            Return isSuccess

        End Function

    End Class
End Namespace
